Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BasicBehaviorWalk Class Reference

A Basic Behavior for walking. More...

`#include <CommonBasicBehaviors.h>`

Inheritance diagram for BasicBehaviorWalk:

[legend]
Collaboration diagram for BasicBehaviorWalk:

[legend]
List of all members.

## Public Member Functions
| BasicBehaviorWalk (const BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Private Attributes
double | type
| Parameter "walk.type".
double | speedX
| Parameter "walk.speed-x".
double | speedY
| Parameter "walk.speed-y".
double | rotationSpeed
| Parameter "walk.rotation-speed".

## Detailed Description

A Basic Behavior for walking.

Author:
  Matthias Jüngel

  Martin Lötzsch

  Max Risler

Definition at line 70 of file CommonBasicBehaviors.h.

## Constructor & Destructor Documentation

BasicBehaviorWalk::BasicBehaviorWalk | ( | const BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 78 of file CommonBasicBehaviors.h. References Xabsl2BasicBehavior::registerParameter(), rotationSpeed, speedX, and speedY.

Here is the call graph for this function:

## Member Function Documentation

void BasicBehaviorWalk::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 34 of file CommonBasicBehaviors.cpp. References fromDegrees(), MotionRequest::motionType, Pose2D::rotation, rotationSpeed, speedX, speedY, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double BasicBehaviorWalk::type`[private]`

| Parameter "walk.type". Definition at line 94 of file CommonBasicBehaviors.h.

double BasicBehaviorWalk::speedX`[private]`

| Parameter "walk.speed-x". Definition at line 97 of file CommonBasicBehaviors.h. Referenced by BasicBehaviorWalk(), and execute().

double BasicBehaviorWalk::speedY`[private]`

| Parameter "walk.speed-y". Definition at line 100 of file CommonBasicBehaviors.h. Referenced by BasicBehaviorWalk(), and execute().

double BasicBehaviorWalk::rotationSpeed`[private]`

| Parameter "walk.rotation-speed". Definition at line 103 of file CommonBasicBehaviors.h. Referenced by BasicBehaviorWalk(), and execute().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2BasicBehaviors/CommonBasicBehaviors.h
- Modules/BehaviorControl/CommonXabsl2BasicBehaviors/CommonBasicBehaviors.cpp